Deprecated: Add SMTP Configuration
Add a new SMTP configuration if nothing is set yet.
Deprecated: please move to the new endpoint AddEmailProviderSMTP.
Request Body
application/json
senderAddress*string
senderName*string
tls?boolean
host*string
user?string
password?string
replyToAddress?string
description?string
[key: string]?never
Response Body
application/json
curl -X POST "https://loading/smtp" \ -H "Content-Type: application/json" \ -d '{ "senderAddress": "string", "senderName": "string", "host": "string" }'{
"details": {
"sequence": 0,
"creationDate": "2023-01-15T01:30:15.01Z",
"changeDate": "2023-01-15T01:30:15.01Z",
"resourceOwner": "string"
},
"id": "string"
}Was this page helpful?
Deprecated: Activate SMTP Provider
Explore the Deprecated: Activate SMTP Provider operation in the ZITADEL API. Learn about request parameters, response schemas, and integration details for this endpoint.
Deprecated: Deactivate SMTP Provider
Deprecated: Deactivate SMTP Provider: Deactivate an SMTP provider. After deactivating the provider, the users will not be able to receive SMTP notifications from that provider anymore.